=== src/crypto/CMakeLists.txt ===
# add subdirectories
#add_subdirectory(hash_polarssl)
#add_subdirectory(hash_tomcrypt)
#add_subdirectory(rfc5444_signature)
#add_subdirectory(rfc7182_provider)
#add_subdirectory(sharedkey_sig)
#add_subdirectory(simple_security)
